org.eclipse.jgit.revwalk.filter

## Class MaxCountRevFilter

- java.lang.Object
- - org.eclipse.jgit.revwalk.filter.RevFilter
  - - org.eclipse.jgit.revwalk.filter.MaxCountRevFilter

    public class MaxCountRevFilter
    extends RevFilter

Limits the number of commits output.

### Field Summary

### Fields inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`ALL, MERGE_BASE, NO_MERGES, NONE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RevFilter` `clone()` Clone this revision filter, including its parameters.
`static RevFilter` `create(int maxCount)` Create a new max count filter.
`boolean` `include(RevWalk walker, RevCommit cmit)` Determine if the supplied commit should be included in results.

### Methods inherited from class org.eclipse.jgit.revwalk.filter.RevFilter

`negate, requiresCommitBody, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### create

    public static RevFilter create(int maxCount)

Create a new max count filter.

Parameters:
  `maxCount` - the limit
Returns:
  a new filter

#### include

    public boolean include(RevWalk walker,
                           RevCommit cmit)
                    throws StopWalkException,
                           MissingObjectException,
                           IncorrectObjectTypeException,
                           IOException

Description copied from class: `RevFilter`
Determine if the supplied commit should be included in results.

Specified by:
  `include` in class `RevFilter`
Parameters:
  `walker` - the active walker this filter is being invoked from within.
  `cmit` - the commit currently being tested. The commit has been parsed and its body is available for inspection only if the filter returns true from `RevFilter.requiresCommitBody()`.
Returns:
  true to include this commit in the results; false to have this commit be omitted entirely from the results.
Throws:
  `StopWalkException` - the filter knows for certain that no additional commits can ever match, and the current commit doesn't match either. The walk is halted and no more results are provided.
  `MissingObjectException` - an object the filter needs to consult to determine its answer does not exist in the Git repository the walker is operating on. Filtering this commit is impossible without the object.
  `IncorrectObjectTypeException` - an object the filter needed to consult was not of the expected object type. This usually indicates a corrupt repository, as an object link is referencing the wrong type.
  `IOException` - a loose object or pack file could not be read to obtain data necessary for the filter to make its decision.

#### clone

    public RevFilter clone()

Description copied from class: `RevFilter`
Clone this revision filter, including its parameters.

This is a deep clone. If this filter embeds objects or other filters it must also clone those, to ensure the instances do not share mutable data.

Specified by:
  `clone` in class `RevFilter`
Returns:
  another copy of this filter, suitable for another thread.